Page tree

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

  • CentOS 6.4 - 6.x, 7.1, 7.2, 7.4 - 7.6
  • RHEL 6.4 - 6.x, 7.1, 7.2, 7.4 - 7.6



Info

NOTE: If you are installing on CentOS/RHEL 7.1, you must be connected to an online repository for some critical updates. Offline installation is not supported for these operating system distributions.


Info

NOTE: For security reasons, RHEL 7.3 is not supported for installation of Release 5.0 or later of the

D s platform
. Please upgrade to RHEL 7.4 or a later supported release.


Info

NOTE: Installation on CentOS/RHEL versions 7.4 or earlier

...

requires an upgrade of the RPM software on the

D s node
. Details are provided during the installation process.


Tip

Tip: Disabling SELinux on the

D s node
is recommended. However, if security policies require it, you may need to apply some changes to the environment.

  • Ubuntu 14.04 (codename Trusty) and 16.04 (codename Xenial)

    Info

    NOTE: For Ubuntu installations, some packages must be manually installed. Instructions are provided later in the process.


...

  • PostgreSQL 9.6
  • MySQL 5.7 Community

    Info

    NOTE: If you are installing the databases into MySQL, you must download and install the MySQL Java driver onto the

    D s node
    . For more information, see Install Databases for MySQL in the Databases Guide.


    Info

    NOTE: MySQL 5.7 is not supported for installation in Amazon RDS.


Info

NOTE: H2 database type is used for internal testing. It is not a supported database.

 


For more information on installing and configuring the database, see Install Databases in the Databases Guide.

...

Tip

Tip: Where possible, you should install the same version of Java on the

D s node
and on the cluster with which you are integrating.

 


  • Java 1.8

    Info

    NOTE: There are additional requirements related to Java JDK listed in the Hadoop Components section listed below.


    Info

    NOTE: OpenJDK 1.8 is officially supported. It is installed on the

    D s node
    during the installation process.


    Info

    NOTE: If you are integrating your

    D s item
    iteminstance
    with S3, you must install the Oracle JRE 1.8 onto the
    D s node
    . No other version of Java is supported for S3 integration. For more information, see Enable S3 Access in the Configuration Guide.


...

Info

NOTE: For Ubuntu installations, the following packages must be manually installed using Ubuntu-specific versions. Instructions and version numbers are provided later in the process.

 


  • NginX 1.12.2
  • NodeJS 10.13.0

...

Info

NOTE: The

D s platform
only supports the latest major release and its minor releases of each distribution.

The

D s platform
only supports the versions of any required components included in a supported distribution. Even if they are upgraded components, use of non-default versions of required components is not supported.

...


The

D s platform
supports the following minimum Hadoop distributions.

...

...


Spark 2.2Spark 2.3Spark 2.4
Java 1.8Required.Required.Required.

...